## org.apache.tools.ant.taskdefs.optional.ide
Class VAJLoad

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.ide.VAJTask
                        |
                        +--org.apache.tools.ant.taskdefs.optional.ide.VAJLoad

Direct Known Subclasses:
  VAJLoadProjects

public class VAJLoad
extends VAJTask

Load specific project versions into the Visual Age for Java workspace. Each project and version name has to be specified completely. Example:

> <vajload> <project name="MyVAProject" version="2.1"/> <project name="Apache Xerces" version="1.2.0"/> </vajload>

Author:
  Wolf Siberski, TUI Infotec GmbH

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJTask
`remoteServer`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`VAJLoad()`

Method Summary
`VAJProjectDescription` `createVAJProject()` Add a project description entry on the project list.
`void` `execute()` Load specified projects.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ide.VAJTask
`getUtil, setRemote`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VAJLoad

    public VAJLoad()

Method Detail

### execute

    public void execute()

  Load specified projects.

  Overrides:
    `execute` in class `Task`

### createVAJProject

    public VAJProjectDescription createVAJProject()

  Add a project description entry on the project list.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.